# Uses of Enum Class
org.opensaml.xmlsec.keyinfo.KeyInfoCredentialResolutionMode.Mode

Packages that use KeyInfoCredentialResolutionMode.Mode
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.

## Uses of KeyInfoCredentialResolutionMode.Mode in org.opensaml.xmlsec.keyinfo

Fields in org.opensaml.xmlsec.keyinfo declared as KeyInfoCredentialResolutionMode.Mode
Modifier and Type
Field
Description
`private KeyInfoCredentialResolutionMode.Mode`
KeyInfoCredentialResolutionMode.`mode`
Resolution mode.
Methods in org.opensaml.xmlsec.keyinfo that return KeyInfoCredentialResolutionMode.Mode
Modifier and Type
Method
Description
`KeyInfoCredentialResolutionMode.Mode`
KeyInfoCredentialResolutionMode.`getMode()`
Gets the resolution mode.
`static KeyInfoCredentialResolutionMode.Mode`
KeyInfoCredentialResolutionMode.Mode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeyInfoCredentialResolutionMode.Mode[]`
KeyInfoCredentialResolutionMode.Mode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.opensaml.xmlsec.keyinfo with parameters of type KeyInfoCredentialResolutionMode.Mode
Modifier
Constructor
Description
``
`KeyInfoCredentialResolutionMode(KeyInfoCredentialResolutionMode.Mode resolutionMode)`
Constructor.